# postcodes-norway: Access norwegian postcode data from Ruby.
# Copyright (C) 2015  Harald Eilertsen <haraldei@anduin.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

require 'uri'
require 'open-uri'

namespace :postcodes do
  desc "Fetch postcode database from Bring"
  task :fetch, [:data_path] do |t, args|
    args.with_defaults(:data_path => 'data')
    uri = URI.parse('http://www.bring.no/hele-bring/forside/_attachment/159761')
    filename = File.join(args.data_path, 'Postnummerregister_ansi.txt')
    puts "Downloading postcodes to: #{filename}..."
    IO.write(filename, uri.read)
  end
end
